package buildcraft.silicon;

import net.minecraft.block.material.Material;
import net.minecraft.block.state.IBlockState;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.BlockPos;
import net.minecraft.util.EnumFacing;
import net.minecraft.world.World;

import buildcraft.BuildCraftSilicon;
import buildcraft.core.BCCreativeTab;
import buildcraft.core.lib.block.BlockBuildCraft;

public class BlockPackager extends BlockBuildCraft {
    public BlockPackager() {
        super(Material.field_151573_f);

        func_149711_c(10F);
        func_149647_a(BCCreativeTab.get("main"));
    }

    @Override
    public boolean func_180639_a(World world, BlockPos pos, IBlockState state, EntityPlayer entityplayer, EnumFacing face, float hitX, float hitY,
            float hitZ) {
        if (super.func_180639_a(world, pos, state, entityplayer, face, hitX, hitY, hitZ)) {
            return true;
        }

        if (!world.field_72995_K) {
            entityplayer.openGui(BuildCraftSilicon.instance, 10, world, pos.func_177958_n(), pos.func_177956_o(), pos.func_177952_p());
        }
        return true;
    }

    @Override
    public TileEntity func_149915_a(World world, int meta) {
        return new TilePackager();
    }
}
