/** Copyright (c) 2011-2015, SpaceToad and the BuildCraft Team http://www.mod-buildcraft.com
 * <p/>
 * BuildCraft is distributed under the terms of the Minecraft Mod Public License 1.0, or MMPL. Please check the contents
 * of the license located in http://www.mod-buildcraft.com/MMPL-1.0.txt */
package buildcraft.silicon.gui;

import org.lwjgl.opengl.GL11;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.util.ResourceLocation;

import buildcraft.core.lib.gui.GuiBuildCraft;
import buildcraft.core.lib.utils.BCStringUtils;
import buildcraft.silicon.TilePackager;

public class GuiPackager extends GuiBuildCraft {

    public static final ResourceLocation TEXTURE = new ResourceLocation("buildcraftsilicon:textures/gui/packager.png");
    private TilePackager bench;

    public GuiPackager(EntityPlayer player, TilePackager tile) {
        super(new ContainerPackager(player, tile), tile, TEXTURE);
        this.bench = tile;
        field_146999_f = 176;
        field_147000_g = 197;
    }

    @Override
    protected void func_146979_b(int par1, int par2) {
        field_146289_q.func_78276_b(BCStringUtils.localize("gui.inventory"), 8, (field_147000_g - 96) + 2, 0x404040);
    }

    @Override
    protected void func_146976_a(float f, int mouseX, int mouseY) {
        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
        field_146297_k.field_71446_o.func_110577_a(TEXTURE);
        func_73729_b(field_147003_i, field_147009_r, 0, 0, field_146999_f, field_147000_g);
        for (int y = 0; y < 3; y++) {
            for (int x = 0; x < 3; x++) {
                if (bench.isPatternSlotSet(y * 3 + x)) {
                    func_73729_b(field_147003_i + 29 + x * 18, field_147009_r + 16 + y * 18, field_146999_f, 0, 18, 18);
                }
            }
        }
    }
}
